List communities
curl --request GET \
--url https://b.anny.co/api/v1/communities \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/communities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/communities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "communities",
"attributes": {
"slug": "<string>",
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"welcome_text": "<string>",
"is_private": true,
"allow_customer_requests": true,
"allow_organization_requests": true,
"auto_join_enabled": true,
"auto_join_settings": {},
"include_all_services": true,
"force_incognito": true,
"default_incognito": true,
"disable_incognito": true,
"default_role": "<string>",
"list_resources": true,
"list_services": true,
"default_list": "<string>",
"show_blocker_title": true,
"show_booking_participants": true
},
"links": {
"self": "<string>"
},
"relationships": {
"domains": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"logo_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"resources": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"resource_groups": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"services": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"organizations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"owner_organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"community_accounts": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"unpersonalized_invite": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"booking_quotas": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"plans": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"members_count": 123
}
}
],
"meta": {},
"links": {}
}Community Management
List communities
GET
/
api
/
v1
/
communities
List communities
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Comma-separated. Allowed: domains, logo_image, resources, owner_organization, community_accounts, services, booking_quotas, plans, external_links
Allowed: name, created_at
⌘I